Error Running ArcGIS Web Adaptor (IIS) 10.5 Prerelease Setup

1416
4
Jump to solution
10-13-2016 03:23 PM
JohnFletcher
New Contributor III

I'm trying to install the very recent 10.5 pre-release version of the Web Adaptor, but am hitting the following error during setup: "Error 2878. On the dialog WebSiteList the control ListBox1 has a possible value: Default Web Site,443,1. This is an invalid or duplicate value." See screenshot.

ArcGIS Web Adaptor 10.5 (pre) Error Message

Anyone else tried to install this yet, and if so have you had success?

Note, I'm trying to install the Web Adaptor onto a Windows 10 machine. ArcGIS for Server 10.5 pre-release already successfully installed.

0 Kudos
1 Solution

Accepted Solutions
RandallWilliams
Esri Regular Contributor

Hi John,

This issue has been around for a while.

There's a KB on the support site for this issue that describes this issue, your work around, and a silent install work around.

http://support.esri.com/technical-article/000012091

This seems like a bug though. If it hasn't been logged, I'll do so.

View solution in original post

4 Replies
JohnFletcher
New Contributor III

Answered my own question. In IIS I have three different SSL bindings for three host names (FQDN, computer name, localhost). I deleted two of the bindings, re-ran the Web Adaptor installer, and then re-created the bindings after the install finished.

Would be good if the website list box in the installer took into account the host name so the multiple SSL bindings don't get considered duplicates. Anyhow, hopefully this can help someone else out in the future.

RandallWilliams
Esri Regular Contributor

Hi John,

This issue has been around for a while.

There's a KB on the support site for this issue that describes this issue, your work around, and a silent install work around.

http://support.esri.com/technical-article/000012091

This seems like a bug though. If it hasn't been logged, I'll do so.

JohnFletcher
New Contributor III

Thanks Randall. It was an internet fail on my part to not type that entire error message into Google when the GeoNet search returned no results...

0 Kudos
RandallWilliams
Esri Regular Contributor

Thanks again. After a quick conversation with the author of the KB referenced above, I've logged this issue:

BUG-000100106

If a website has multiple bindings for the same protocol (but bound to different IP addresses, for example), installing the .net web adaptor will error.
0 Kudos